   '    ============ ::::::::   AU2PRU   :::::::: =========================
   '
   '    :::::::  SISTEMA INTEGRAL GERENCIAL
   '
   '    SISTEMAS SIERRA SA DE CV           MENSAJE DE AUTORIZACION
   '                                       LICENCIA NO AUTORIZADA
   '    13-ABR-94  0755 Creaci˘n inicial del sistema
   '    03-MAY-94  1715 Se agreg˘ ENTER para continuar
   '   ====================================================================

       MSG1$="  Licencia No autorizada  "
       MSG2$="   Empresas diferentes    "
       MENU$="AU2ARG"

       FEC$=MID$(DATE$,9,2)+MID$(DATE$,1,2)+MID$(DATE$,4,2):FX$=FEC$
       GOSUB 7900
       IF K=1 THEN DX$="01":MX$="01":AX$="93"
       GOSUB 7850
       DIA$=DX$:MES$=MX$:ANO$=AX$
       COLOR 7,0
       CLS:GOSUB 10016                                     ' limpia pantalla, recuadro
       SISTEMA$="AUTORIZACION DE SOFTWARE":LG=79           ' titulo
       TIT$="  "
       GOSUB 8300                                          ' encabezado
       COLOR 7,0                                           ' intensidad media

       PR= 7:PC= 5:NR=10:NC=71:GOSUB 9980
       PR=12:PC=42:NR=02:NC=26:GOSUB 9981

       COLOR 15,7
       LOCATE 11,08:PRINT "SISTEMAS SIERRA SA DE CV          NO SE AUTORIZA EL ACCESO POR:"
       LOCATE 12,08:PRINT "Cerro de las campanas #384 "
       LOCATE 13,08:PRINT "Insurg oeste   Mexicali BC "
       LOCATE 14,08:PRINT "Tel (686) 5663420 con 6 lineas"
       LOCATE 15,08:PRINT "Fax (686) 5664360"
       LOCATE 17,08:PRINT "  Comuniquese con nosotros para su autorizaci˘n      Gracias..."
       COLOR 4,7:LOCATE 11,42:PRINT "NO SE AUTORIZA EL ACCESO POR:"
       COLOR 16,15
       LOCATE 13,43:PRINT MSG1$
       LOCATE 14,43:PRINT MSG2$
       COLOR 15,7
       LOCATE 09,09:PRINT "Este sistema NO est  autorizado para funcionar en esta computadora."
       FOR I=1 TO 5:BEEP:NEXT I
       COLOR 15, 7:LOCATE 24,1:PRINT SPACE$(80);
                   LOCATE 24,02:PRINT "Enter=continuar";
       COLOR 16,15:LOCATE 24,02:PRINT "Enter";
       COLOR 16,15:LOCATE 24,18:PRINT " ";
       COLOR 15, 7:LOCATE 24,18:PRINT "";:W$=INPUT$(1)
       COLOR 7,0
       CLOSE
       END

     ' $INCLUDE: 'CUAGRL.BAS'

8300                                                       ' ENCABEZADO
      COLOR 15,7
      IF LEN(ANO$)=2 THEN XANO$=ANO$:IF ANO$<"80" THEN ANO$="20"+ANO$ ELSE ANO$="19"+ANO$
      LOCATE 2,3:PRINT DIA$;"-";MES$;"-";ANO$              ' imprime fecha
      LT$=SISTEMA$:LG=79:GOSUB 8700                        ' sistema
      LOCATE 2,IT:PRINT LT$                                ' imprime sistema
      LOCATE 3,3 :PRINT MENU$                              ' nombre del menu
      LT$=TIT$:LG=79:GOSUB 8700                            ' nombre de empresa
      LOCATE 3,IT:PRINT LT$                                ' imprime empresa
      GOSUB 9600                                           ' derechos reservados
      COLOR 7,0
      RETURN

7850                                                       ' CALCULAR MES
      MX$=MID$(FX$,3,2):POSI=VAL(MX$)
      CALEN$="EneFebMarAbrMayJunJulAgoSepOctNovDic":LUG=3*POSI-2:MX$=MID$(CALEN$,LUG,3)
      RETURN

7900                                                       ' VALIDAR FECHA . SIERRA
      FOR J=1 TO 6
          IF MID$(FX$,J,1)<"0" OR MID$(FX$,J,1)>"9" THEN K=1:GOTO 7902
      NEXT J
      AX$=MID$(FX$,1,2):MX$=MID$(FX$,3,2):DX$=MID$(FX$,5,2)
      IF AX$<"00" OR AX$>"99" THEN K=1:GOTO 7902
      IF MX$<"01" OR MX$>"12" THEN K=1:GOTO 7902
      IF DX$<"01" OR DX$>"31" THEN K=1:GOTO 7902
      K=0
7902  RETURN

8700                                                       ' POSICION DE TITULO
      LT=LEN(LT$):IT=INT((LG-LT)/2)+1:W=1:Z=1              ' LT$,LG==>IT
      RETURN

9600                                                       ' DERECHOS RESERVADOS
      COLOR 15,7                                            
      LOCATE 2,59:PRINT "Derechos Reservados"
      LOCATE 3,61:PRINT "Sistemas Sierra"
      COLOR 7,0        
      RETURN

10016 CLS                                                  ' CUADRO PANTALLA
      PR=01:PC=01:NR=02:NC=78:GOSUB 9980
      PR=05:PC=01:NR=17:NC=78:GOSUB 9980
      COLOR 15,7:LOCATE 25,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
      RETURN
